import java.util.Scanner;
public class Examen01SamanthaLizano
{
  public static void main (String Args[])
  {
    Scanner teclado = new Scanner(System.in);
    System.out.print(" LED Number Display");
    System.out.println();
    int contador = 0;
    
    while (contador >=0)
     {
      System.out.println();
      System.out.print(" Número a mostrar [ 0 = Salir] : ");
      int numero = teclado.nextInt();
    
      int digito1 = numero % 10;
      int digito2 = numero % 100 / 10;
      int digito3 = numero % 1000 / 10 / 10;
      int digito4= numero % 10000 / 10 /10 /10;

     if (numero == 0)
      {
       return;
      }
      
   else 
   {
      System.out.print(" Factor de Aumento (x)");
      int aumento = teclado.nextInt();
   
     switch(digito4)
      {
        case 1:
       {
        for ( int i = 1; i <= 5*aumento; i++)
       { 
        for ( int j = 1; j <= aumento; j++) 
         {
          System.out.print("#");
         }
          System.out.println(""); 
        }
        break;
       }
       
        case 2:
       {
        for ( int i = 1; i <= 5*aumento; i++)
       {
        for ( int j = 1; j <= 5*aumento; j++) 
         {
          System.out.print("#");
         }
          System.out.println(""); 
       }
      break;
       }
    }//FIN SWITCH DIGITO4
     
    System.out.println();
    
    
    switch(digito3)
    {
        case 1:
       {
        for ( int i = 1; i <= 5*aumento; i++)
       { 
        for ( int j = 1; j <= aumento; j++) 
         {
          System.out.print("#");
         }
          System.out.println(""); 
        }
        break;
       }

        case 2:
       {
        for ( int i = 1; i <= 5*aumento; i++)
       {
        for ( int j = 1; j <= 5*aumento; j++) 
         {
          System.out.print("#");
         }
          System.out.println(""); 
       }
      break;
       }
    }//FIN SWITCH DIGITO3
    
    System.out.println();
   
    
    switch (digito2)
    {
        case 1:
      {
       for ( int i = 1; i <= 5*aumento; i++)
        { 
         for ( int j = 1; j <= aumento; j++) 
        {
         System.out.print("#");
        }
         System.out.println(""); 
       }
        break;
      }

        case 2:
      {
       for ( int i = 1; i <= 5*aumento; i++)
        {
         for ( int j = 1; j <= 5*aumento; j++) 
        {
         System.out.print("#");
        }
         System.out.println(""); 
       }
      break;
      }
    }//fin switch DIGITO2
    
     System.out.println();
     
 
     switch(digito1)
       
     {
       case 1:
      {
      for ( int i = 1; i <= 5*aumento; i++)
       { 
        for ( int j = 1; j <= aumento; j++) 
        {
         System.out.print("#");
        }
         System.out.println(""); 
       }
        break;
      }
    
       case 2:
      {
       for ( int i = 1; i <= 5*aumento; i++)
       {
        for ( int j = 1; j <= 5*aumento; j++) 
        {
         System.out.print("#");
        }
         System.out.println(""); 
       }
        break;
      }
     }//FIN SWITCH DIGITO 1 
     
    System.out.println();

     }//FIN ELSE
    }//FIN DEL WHILE
    
    contador = contador + 1;
    
    }//FIN DEL MÉTODO MAIN
  
}//FIN CLASS

//Profe, el 2 no lo logré hacer, así que quedó como un cuadrado, porque no supe como hacer los espacios. 


    